Package org.silverpeas.mobile.shared.dto.documents

## Class SimpleDocumentDTO

- java.lang.Object
- - org.silverpeas.mobile.shared.dto.documents.SimpleDocumentDTO

- All Implemented Interfaces:
    `Serializable`

      public class SimpleDocumentDTO
      extends Object
      implements Serializable

  Author:
    svu
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SimpleDocumentDTO()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `getComment()` |
    `String` | `getContentType()` |
    `String` | `getCreatedBy()` |
    `long` | `getCreationDate()` |
    `String` | `getDescription()` |
    `String` | `getDownloadUrl()` |
    `String` | `getFileName()` |
    `String` | `getIcon()` |
    `String` | `getId()` |
    `String` | `getInstanceId()` |
    `String` | `getLang()` |
    `String` | `getPermalink()` |
    `long` | `getSize()` |
    `String` | `getSpId()` |
    `String` | `getTitle()` |
    `long` | `getUpdateDate()` |
    `String` | `getUpdatedBy()` |
    `String` | `getVersioned()` |
    `boolean` | `isDownloadable()` |
    `void` | `setComment​(String comment)` |
    `void` | `setContentType​(String contentType)` |
    `void` | `setCreatedBy​(String createdBy)` |
    `void` | `setCreationDate​(long creationDate)` |
    `void` | `setDescription​(String description)` |
    `void` | `setDownloadable​(boolean downloadable)` |
    `void` | `setDownloadUrl​(String downloadUrl)` |
    `void` | `setFileName​(String fileName)` |
    `void` | `setIcon​(String icon)` |
    `void` | `setId​(String id)` |
    `void` | `setInstanceId​(String instanceId)` |
    `void` | `setLang​(String lang)` |
    `void` | `setPermalink​(String permalink)` |
    `void` | `setSize​(long size)` |
    `void` | `setSpId​(String spId)` |
    `void` | `setTitle​(String title)` |
    `void` | `setUpdateDate​(long updateDate)` |
    `void` | `setUpdatedBy​(String updatedBy)` |
    `void` | `setVersioned​(String versioned)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SimpleDocumentDTO

          public SimpleDocumentDTO()

  - ### Method Detail

    - #### getId

          public String getId()

    - #### setId

          public void setId​(String id)

    - #### getInstanceId

          public String getInstanceId()

    - #### setInstanceId

          public void setInstanceId​(String instanceId)

    - #### getFileName

          public String getFileName()

    - #### setFileName

          public void setFileName​(String fileName)

    - #### getDescription

          public String getDescription()

    - #### setDescription

          public void setDescription​(String description)

    - #### getContentType

          public String getContentType()

    - #### setContentType

          public void setContentType​(String contentType)

    - #### getUpdatedBy

          public String getUpdatedBy()

    - #### setUpdatedBy

          public void setUpdatedBy​(String updatedBy)

    - #### getTitle

          public String getTitle()

    - #### setTitle

          public void setTitle​(String title)

    - #### getCreatedBy

          public String getCreatedBy()

    - #### setCreatedBy

          public void setCreatedBy​(String createdBy)

    - #### getLang

          public String getLang()

    - #### setLang

          public void setLang​(String lang)

    - #### getIcon

          public String getIcon()

    - #### setIcon

          public void setIcon​(String icon)

    - #### getPermalink

          public String getPermalink()

    - #### setPermalink

          public void setPermalink​(String permalink)

    - #### getDownloadUrl

          public String getDownloadUrl()

    - #### setDownloadUrl

          public void setDownloadUrl​(String downloadUrl)

    - #### getVersioned

          public String getVersioned()

    - #### setVersioned

          public void setVersioned​(String versioned)

    - #### getComment

          public String getComment()

    - #### setComment

          public void setComment​(String comment)

    - #### getSize

          public long getSize()

    - #### setSize

          public void setSize​(long size)

    - #### getCreationDate

          public long getCreationDate()

    - #### setCreationDate

          public void setCreationDate​(long creationDate)

    - #### getUpdateDate

          public long getUpdateDate()

    - #### setUpdateDate

          public void setUpdateDate​(long updateDate)

    - #### getSpId

          public String getSpId()

    - #### setSpId

          public void setSpId​(String spId)

    - #### setDownloadable

          public void setDownloadable​(boolean downloadable)

    - #### isDownloadable

          public boolean isDownloadable()